如何列出npm模块所有的历史版本?

我们一般用npm来自动安装js的模块(module),但是有的时候,默认情况用
npm install xxxx –save 的时候,会安装最新的版本,但是有的时候,我们会发现最新的版本可能与某些浏览器不兼容,比如,indicative最新的版本与IE11兼容性就不太好,为了解决这个问题,有的时候,我们需要进行版本的降级,但是在版本降级之前我们需要知道有哪些历史版本?这个时候,我们应该怎么办呢?
用下面的命令:npm view xxx version, 比如需要显示indicative的所有版本历史信息,命令和执行结果如下:

npm view indicative versions
[ '0.0.0',
  '0.0.1',
  '0.0.2',
  '0.0.3',
  '0.0.4',
  '0.0.5',
  '1.0.0',
  '1.0.1',
  '1.0.2',
  '1.0.3',
  '1.0.4',
  '1.0.5',
  '1.0.6',
  '1.0.7',
  '1.0.8',
  '1.0.9',
  '1.1.0',
  '1.1.1',
  '1.1.2',
  '1.2.1',
  '1.2.2',
  '1.2.3',
  '1.2.4',
  '1.2.5',
  '1.2.6',
  '1.2.7',
  '1.2.8',
  '1.2.9',
  '1.2.10',
  '1.3.0',
  '1.3.1',
  '2.0.0',
  '2.0.1',
  '2.0.2',
  '2.0.3',
  '2.0.5',
  '2.0.6',
  '2.1.0',
  '2.1.1',
  '2.1.2',
  '2.2.0',
  '2.2.1',
  '3.0.0' ]
阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/chancein007/article/details/78285894
文章标签: npm 历史版本 node
个人分类: web前端 Linux
上一篇React update插件中 splice指令的理解
下一篇react-table组件入门和在IE11上遇到的坑
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭